Debian 9820 Published by

An avahi security update has been released for Debian GNU/Linux 10 LTS to address a deny of service issue.



[SECURITY] [DLA 3466-1] avahi security update


- -------------------------------------------------------------------------
Debian LTS Advisory DLA-3466-1 debian-lts@lists.debian.org
https://www.debian.org/lts/security/ Bastien Roucariès
June 21, 2023 https://wiki.debian.org/LTS
- -------------------------------------------------------------------------

Package : avahi
Version : 0.7-4+deb10u3
CVE ID : CVE-2021-3468
Debian Bug : 984938

Avahi a free zero-configuration networking (zeroconf) implementation,
including a system for multicast DNS/DNS-SD service discovery, was
affected by a Deny of Service. The event used to signal the termination of
the client connection on the avahi Unix socket is not correctly handled
in the client_work function, allowing a local attacker to trigger
an infinite loop.

For Debian 10 buster, this problem has been fixed in version
0.7-4+deb10u3.

We recommend that you upgrade your avahi packages.

For the detailed security status of avahi please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/avahi

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS